Download and run the Fix PurposeRequired plug-in